//
//  AppDelegate.m
//  DemoApp
//
//  Created by Stephen Anderson on 8/27/13.
//  Copyright (c) 2013 Product & Technology. All rights reserved.
//

#import "AppDelegate.h"

#import "ViewController.h"

#import "xAdSdk.h"
#import "xAdUtils.h"

#import "AdObserver.h"

@implementation AppDelegate
@synthesize adObserver;


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    // Place the observer first to ensure no events are missed.
    self.adObserver = [[AdObserver alloc] init];

    xAdSdk *sdk = [xAdSdk sharedInstance];
    
    sdk.searchPublisherKey = @"Y_IQczADCTvXc9AxszM-9weCW9oYUt2K";
    sdk.displayPublisherKey = @"5kRepTQRK8Pva0eQ8qaAvgaXgwSObBA_gF5UNkjeEME.";

    [sdk disableCoreLocation];
    [sdk enableProduction];
    
    return YES;
}


- (void)applicationWillResignActive:(UIApplication *)application
{
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}


- (void)applicationDidEnterBackground:(UIApplication *)application
{
    [[xAdSdk sharedInstance] suspendServices];
}


- (void)applicationWillEnterForeground:(UIApplication *)application
{
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}


- (void)applicationDidBecomeActive:(UIApplication *)application
{
    [[xAdSdk sharedInstance] startServices];
}


- (void)applicationWillTerminate:(UIApplication *)application
{
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}


@end
