//
//  xAdBannerView.h
//  xAd SDK
//
//  Created by Stephen Anderson on 5/15/13.
//  Copyright (c) 2013 xAd Inc. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "xAdSdk.h"
#import "xAdDisplayAPI.h"


typedef enum {
    BannerSize300x50,
    BannerSize320x50,
    BannerSize300x250,
    BannerSize728x90
    
} BannerSize;


/*
 * Base class for xAdInlineBannerView and xAdInterstitialBannerView
 *
 */
@interface xAdBannerView : UIView <xAdDisplayAPIDelegate>

@property (nonatomic, strong) UIWebView *webview;

- (id)initWithDelegate:(id)delegate size:(BannerSize)size placement:(CGPoint)point;
- (id)initWithDelegate:(id)delegate viewFrame:(CGRect)frame;


- (void) requestAd:(NSDictionary*)targetingParameters;


@end
