//
//  xAdDisplayAPI.h
//  xAd SDK
//
//  Created by Stephen Anderson on 5/15/13.
//  Copyright (c) 2013 xAd Inc. All rights reserved.
//

#import <Foundation/Foundation.h>


@protocol xAdDisplayAPIDelegate

- (void) onDisplayAdError:(NSError*)error;
- (void) onDisplayAdDelivered:(NSString*)htmlPayload;
- (void) onDisplayAdNoFill;

@end

@class xAdBannerView;

@interface xAdDisplayAPI : NSObject 

// Interal API - Called by xAdBannerView
+ (void) requestAd:(NSString*)bannerSize args:(NSDictionary*)args delegate:(id<xAdDisplayAPIDelegate>)delegate;

    
@end

