//
//  xAdInlineBannerView.m
//  xAdSdkDemo
//
//  Created by Stephen Anderson on 8/13/13.
//  Copyright (c) 2013 xAd Inc. All rights reserved.
//

#import "xAdInlineBannerView.h"

@implementation xAdInlineBannerView


+(xAdInlineBannerView*) createView:(id) delegate size:(BannerSize)size placement:(CGPoint)point
{
    return [[xAdInlineBannerView alloc] initWithDelegate:delegate size:size placement:point];
}


- (void) onDisplayAdDelivered:(NSString*)htmlPayload {
	NSLog(@"onDisplayAdDelivered");
    
    [UIView animateWithDuration:1.0 delay:0.0 options:UIViewAnimationOptionCurveEaseInOut
                     animations:^(void) {
                         self.transform = CGAffineTransformMakeScale(1, -1);
                         
                     } completion:nil];

    [self.webview loadHTMLString:htmlPayload baseURL:nil];
    
    [UIView animateWithDuration:0.2 delay:0.0 options:UIViewAnimationOptionCurveEaseInOut
                     animations:^(void) {
                         self.transform = CGAffineTransformMakeScale(1, 1);
                         
                     } completion:nil];
    
}


- (void) onDisplayAdError:(NSError*)error {
	NSLog(@"onDisplayAdError: %@", [error localizedDescription]);
}


- (void) onDisplayAdNoFill {
	NSLog(@"onDisplayAdNoFill");
}


@end
