//
//  xAdNotificationRequest.h
//  xAd SDK
//
//  Created by Stephen Anderson on 5/15/13.
//  Copyright (c) 2013 xAd Inc. All rights reserved.
//


#import "xAdRequest.h"



#warning WARNING: KEEP ENUM IN SYNC
// imp,click,call,review,desc,sms,map,direction,arrival,
// checkin,save_pb,save_ms,callop,moreinfo,email,cal,
// ml_map,social_share,buy_deal

typedef enum
{ 
    NotificationImpression,
    NotificationClick,
    NotificationCall, 
    NotificationReview,
    NotificationDescription,
    NotificationSMS,
    NotificationMap,
    NotificationDirection,
    NotificationArrival,
    NotificationCheckedIn,
    NotificationSavedPhoneBook,
    NotificationSavedSearch,
    NotificationCallOperator,
    NotificationMoreInfo,
    NotificationEmail,
    NotificationCalendar,
    NotificationMultiLocationMap,
    NotificationSocialShare,
    NotificationBuyDeal
} NotificationType;



@interface xAdNotificationRequest : xAdRequest

- (id) initType:(NotificationType)type listingId:(id)listingId;

- (id) initImpressionWithListingIds:(NSArray*)listOfIds;

@end
