//
//  ApplicationController.h
//  DemoApp
//
//  Created by Stephen Anderson on 11/10/13.
//  Copyright (c) 2013 Product & Technology. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "xAdLocalSearchResults.h"
#import "xAdLocalSearchRequest.h"

@interface ApplicationController : NSObject

+ (ApplicationController*) sharedInstance;

// Supports only one search at the time.
@property (nonatomic, retain) xAdLocalSearchRequest *searchRequest;
@property (nonatomic, retain) xAdLocalSearchResults *searchResults;
@property (nonatomic, retain) id searchTerm;
@property (nonatomic, retain) id delegate;

+ (void) startNewSearch:(id)term delegate:(id)client;

+ (void) nextPageSearchWithDelegate:(id)client;
+ (void) prevPageSearchWithDelegate:(id)client;


@end
