//
//  SearchViewController.h
//  DemoApp
//
//  Created by Stephen Anderson on 11/9/13.
//  Copyright (c) 2013 Product & Technology. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "xAdLocalSearchRequest.h"
#import "xAdLocalSearchResults.h"

@interface SearchViewController : UITableViewController

@property (nonatomic, copy) xAdLocalSearchRequest *request;
@property (nonatomic, copy) xAdLocalSearchResults *searchResults;
@property (nonatomic, copy) NSString* searchTerm;

- (IBAction)onNextTapped:(id)sender;
- (IBAction)onPreviousTapped:(id)sender;

@property (weak, nonatomic) IBOutlet UIButton *buttonPrevious;
@property (weak, nonatomic) IBOutlet UIButton *buttonNext;


@end
