//
//  SocialLocation.h
//  xAd SDK
//
//  Created by Stephen Anderson on 5/15/13.
//  Copyright (c) 2013 xAd Inc. All rights reserved.
//

#import "DictionaryObject.h"

#import <CoreLocation/CoreLocation.h>

@interface xAdLocation : DictionaryObject

@property (nonatomic, readonly) id street;
@property (nonatomic, readonly) id city;
@property (nonatomic, readonly) id state;
@property (nonatomic, readonly) id country;
@property (nonatomic, readonly) id zip;

@property (nonatomic, readonly) CLLocationDistance distance; 
@property (nonatomic, readonly) CLLocationDistance currentDistance; 
@property (nonatomic, readonly) CLLocation* geoLocation;
@property (nonatomic, readonly) NSString *addressInTwoLines;
@property (nonatomic, readonly) NSString *address;

@property (nonatomic, readonly) NSURL *mapsUrl;
@property (nonatomic, readonly) NSURL *directionsUrl;


 
- (BOOL) hasCoordinates;
- (id) distanceFormatted;


@end