//
//  NSDateExtension.h
//
//  Created by Stephen Anderson.
//  Copyright 2013 xAd, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSDate (Extension)

+ (NSDate*) dateFromUtcString:(NSString*)formattedDate;
+ (NSDate*) dateFromString:(NSString*)formattedDate format:(NSString*)format timezone:(id)timezoneName;

+ (NSString*) stringFromTime:(NSDate*)date;
+ (NSString*) stringFromDate:(NSDate*)date;
+ (NSString*) stringFromTimestamp:(NSDate*)date;

- (NSString*) toDateString:(NSDateFormatterStyle)style;
- (NSString*) toTimeString:(NSDateFormatterStyle)style;
- (NSString*) toTimestampString:(NSDateFormatterStyle)style;



@end
