xAd's iOS Publisher SDK
===========

This guide contains information on how to integrate your application with the xAd SDK for the purpose of monetizing your hard work.

> This SDK supports both Search and Display capabilities.

Before you can retrieve anything meaningful, you are required to signup as a publisher and get a publisher key which in turn you add it to the SDK. If you are planning to use both search and display, please make sure that is communicated as you will need separate keys.

The guide attempts to be as descriptive and reproducible as possible. However, if you have any issues please contact us support@xad.com.

For more information on our stable release please refer to our [changelog](https://github.com/xadrnd/xad-ios-sdk/blob/master/CHANGELOG.md).

### [Get Started](https://github.com/xadrnd/xad-ios-sdk/wiki/Getting-Started)

### [Demo Application](https://github.com/xadrnd/xad-ios-sdk/wiki/DemoProject)
